Bug 5160 - Build on Tru64
Build on Tru64
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
Alpha OSF/1
: P3 enhancement
: ---
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 05:44 UTC by Igor
Modified: 2008-09-10 09:55 UTC (History)
1 user (show)

See Also:


Attachments
log (5.98 KB, application/x-gzip)
2007-12-24 05:47 UTC, Igor
no flags Details
log (70.46 KB, application/x-gzip)
2007-12-24 05:47 UTC, Igor
no flags Details
log (742 bytes, application/x-gzip)
2007-12-24 05:48 UTC, Igor
no flags Details
log (8.63 KB, application/x-gzip)
2007-12-24 05:48 UTC, Igor
no flags Details
log (4.09 KB, application/x-gzip)
2007-12-24 05:52 UTC, Igor
no flags Details
conf (5.93 KB, application/x-gzip)
2008-01-30 05:39 UTC, Igor
no flags Details
config (70.45 KB, application/x-gzip)
2008-01-30 05:40 UTC, Igor
no flags Details
config.mk (742 bytes, application/x-gzip)
2008-01-30 05:40 UTC, Igor
no flags Details
config.status (8.62 KB, application/x-gzip)
2008-01-30 05:41 UTC, Igor
no flags Details
make (15.81 KB, application/x-gzip)
2008-01-30 05:42 UTC, Igor
no flags Details
alpha4 logs (166.19 KB, application/x-gzip)
2008-06-11 00:32 UTC, Igor
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor 2007-12-24 05:44:12 UTC
samba 4.0.0alpha2
OS Tru64 ver. 5.1B-4 (PK6)
PATH=$PATH:$GNU
export CC=cc
export CFLAGS="-arch host -pthread"
./configure --enable-dso --with-readline=/usr/local --with-pthreads > conf.log 2>&1 && $GNU/make > make.log 2>&1
...
ld:
-rpath-link: Unknown flag
Comment 1 Igor 2007-12-24 05:47:14 UTC
Created attachment 3071 [details]
log
Comment 2 Igor 2007-12-24 05:47:57 UTC
Created attachment 3072 [details]
log
Comment 3 Igor 2007-12-24 05:48:24 UTC
Created attachment 3073 [details]
log
Comment 4 Igor 2007-12-24 05:48:50 UTC
Created attachment 3074 [details]
log
Comment 5 Igor 2007-12-24 05:52:03 UTC
Created attachment 3075 [details]
log
Comment 6 Andrew Bartlett 2008-01-07 00:05:16 UTC
Sadly we don't have a Tru64 machine in the build farm, so installation errors on this platform have gone undetected. 

In future, we will require Python, which in turn requires good shared library support, which may be part of the challenge moving forward. 

Comment 7 Jelmer Vernooij 2008-01-07 13:09:36 UTC
Please don't use --enable-dso, it is not supported on Tru64.
Comment 8 Jelmer Vernooij 2008-01-07 13:11:34 UTC
--enable-dso is not a key feature, so decreasing severity.
Comment 9 Igor 2008-01-30 05:39:24 UTC
Created attachment 3123 [details]
conf
Comment 10 Igor 2008-01-30 05:40:10 UTC
Created attachment 3124 [details]
config
Comment 11 Igor 2008-01-30 05:40:45 UTC
Created attachment 3125 [details]
config.mk
Comment 12 Igor 2008-01-30 05:41:37 UTC
Created attachment 3126 [details]
config.status
Comment 13 Igor 2008-01-30 05:42:00 UTC
Created attachment 3127 [details]
make
Comment 14 Igor 2008-01-30 05:46:20 UTC
without --enable-dso

PATH=$PATH:$GNU
export CC=cc
export CFLAGS="-arch host -pthread"
./configure --with-readline=/usr/local --with-pthreads > conf.log 2>&1 && $GNU/make > make.log 2>&1
...
make: *** [param/loadparm.o] Error 1
Comment 15 Matthias Dieter Wallnöfer 2008-06-07 12:51:21 UTC
Have you looked into this?
Comment 16 Igor 2008-06-11 00:32:46 UTC
Created attachment 3341 [details]
alpha4 logs

PATH=$PATH:$GNU
export CC=cc
export CFLAGS="-arch host -pthread"
export MAKE=$GNU/make
./configure --disable-dso --with-readline=/usr/local --with-pthreads > conf.log 2>&1 && $GNU/make > make.log 2>&1
...
make: 'version.h' is up to date.
Comment 17 Matthias Dieter Wallnöfer 2008-08-08 16:33:09 UTC
Please mark old (outdated) files as "obsolete", so we can prevent confusions.
Regarding your problem: The "configure" logfile points out that you have trouble with the C compiler "cc". Since this is a proprietary UNIX distribution, it surely won't be "gcc". So the best way should be to install "gcc". Certainly you have then to do some steps to let "configure" use it (the best would be to remove the actual installed C compiler completely if possible).
Then please let us know, if the "configure" script ran without errors.
Comment 18 Matthias Dieter Wallnöfer 2008-08-08 16:34:35 UTC
This bug is regarding the build system, so assign it up to Jelmer.
Comment 19 Matthias Dieter Wallnöfer 2008-09-10 09:55:40 UTC
It should be fixed now. If not, please reopen!